Page MenuHome

Export as gltf2
Closed, ResolvedPublic

Description

System Information
Operating system: Darwin-17.7.0-x86_64-i386-64bit 64 Bits
Graphics card: Intel Iris Pro OpenGL Engine Intel Inc. 4.1 INTEL-10.36.23

Blender Version
Broken: version: 2.80 (sub 74), branch: master, commit date: 2019-06-25 21:27, hash: rB9ab0247b6efc
Worked: (optional)

Short description of error
When I export the fbx file as gltf2 I get following error:

Exact steps for others to reproduce the error
just tried to export my fbx model as gltf2

Details

Type
Bug

Event Timeline

Philipp Oeser (lichtwerk) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Jul 4 2019, 6:58 PM

Mind sharing the .blend file you are trying to export from?

Philipp Oeser (lichtwerk) raised the priority of this task from Needs Information from User to Confirmed, Medium.
Philipp Oeser (lichtwerk) edited projects, added Add-ons, Import/Export; removed BF Blender.

Confirmed, @Julien DUROURE (julien), mind checking?

I can confirm the bug.
Seems that you are trying to export a mesh with a shader where the texture file is not existing (or you didn't provide it).
Maybe this PR will help : https://github.com/KhronosGroup/glTF-Blender-IO/pull/559

I created the following ticket to follow the subject in upstream repository :
https://github.com/KhronosGroup/glTF-Blender-IO/issues/580

Julien DUROURE (julien) closed this task as Resolved.Aug 3 2019, 10:21 AM

This is now fixed after commit 2c08beb9690c